## daqd-rs 0.0.4

=== debian/changelog ===
daqd-rs (0.0.4-x202511112005246b89a2cd) UNRELEASED; urgency=medium

  * CI Build for testing only

 -- root <root@c93e327ffac7>  Tue, 11 Nov 2025 20:05:58 +0000

daqd-rs (0.0.4-1) unstable; urgency=medium

  * Removed the daqd_stream client                                                                                                                                                                                                                      * Implemented data input via pure rust to read the cds data stream                                                                                                                                                                                    * Converted to implementing the logic of the daqd via a formal pipeline package                                                                                                                                                                       * Updates to produce frames that are identical to the CDS daqd                                                                                                                                                                                        * Added a rudimentary NDS1 server (live raw data only)   

 --  <jonathan.hanks@ligo.org>  Tue, 06 May 2025 09:37:51 -0700

daqd-rs (0.0.3-1) unstable; urgency=medium

  * Adding md5sum files with frames
  * Locking framecpp version to 2.8.x for testing

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Thu, 14 Nov 2024 22:25:38 -0800

daqd-rs (0.0.2-2) unreleased; urgency=medium

  * Adding libclang-16-dev as a build dependency

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Thu, 14 Nov 2024 20:54:30 -0800

daqd-rs (0.0.2-1) unstable; urgency=medium

  * Adding initial EPICS metrics
  * Final gwf files show up atomically.
  * Added options to output directories for frames (simple, by gps, by frame
    type and gps)

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Thu, 14 Nov 2024 17:38:27 -0800

daqd-rs (0.0.1-1) unstable; urgency=medium

  * Initial packaging

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Wed, 06 Nov 2024 15:57:46 -0800
