=== debian/control ===
Source: daqd-rs
Section: science
Priority: optional
Maintainer: Jonathan Hanks <jonathan.hanks@ligo.org>
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 libclang-16-dev,
 rustc (>= 1.73) | rust-compiler (>= 1.73),
 cargo (>= 1.73) | rust-compiler (>= 1.73),
 ldas-tools-framecpp-dev ( << 2.9.0 ),
 ldas-tools-framecpp-dev ( >= 2.8.1 ),
 advligorts-dev,
 simple-pv-dev,
Standards-Version: 4.6.2
Homepage: https://git.ligo.org/jonathan-hanks/daqd_rs
#Vcs-Browser: https://salsa.debian.org/debian/daqd-rs
#Vcs-Git: https://salsa.debian.org/debian/daqd-rs.git

Package: daqd-rs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ldas-tools-framecpp ( << 2.9.0 ),
 ldas-tools-framecpp ( >= 2.8.1 ),
 simple-pv,
Description: A auto-reconfiguring frame writer for LIGO
 A frame writer for CDS that can adjust its channel list
 on the fly without requiring a restart.
