=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --builddirectory=debian/target/release

override_dh_auto_configure:
	mkdir  -p debian/target/release

override_dh_auto_build:
	echo "dh_autobuild called"
	cargo build --locked --release --target-dir debian/target

override_dh_auto_test:
	echo "dh_auto_test called"
	# cargo test --locked --release --target-dir debian/target -p daqd --lib

override_dh_build-arch:
	true

override_dh_build-indep:
	true

override_dh_install:
	echo "Installing daqd_rs"
	dh_installdirs -pdaqd-rs usr/bin
	mv debian/target/release/daqd debian/daqd-rs/usr/bin/daqd_rs
	dh_install

override_dh_clean:
	rm -rf debian/target


# dh_make generated override targets.
# This is an example for Cmake (see <https://bugs.debian.org/641051>).
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
